aboutsummaryrefslogtreecommitdiff
path: root/development
diff options
context:
space:
mode:
authorjpipkin <jpipkin@dawnrazor.org>2010-05-11 22:53:39 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 22:53:39 +0200
commitabe22877d668340ae1141e99311e0eb008b68e7b (patch)
treef7f6392ccf7a809107aa41d8f508c302a573414b /development
parent324529afd9295aa780393720b6f68f37db0afe81 (diff)
downloadslackbuilds-abe22877d668340ae1141e99311e0eb008b68e7b.tar.xz
development/smake: Added to 12.1 repository
Diffstat (limited to 'development')
-rw-r--r--development/smake/README11
-rw-r--r--development/smake/slack-desc19
-rw-r--r--development/smake/smake.SlackBuild74
-rw-r--r--development/smake/smake.info8
4 files changed, 112 insertions, 0 deletions
diff --git a/development/smake/README b/development/smake/README
new file mode 100644
index 000000000000..da79a08428ad
--- /dev/null
+++ b/development/smake/README
@@ -0,0 +1,11 @@
+smake is a highly portable make program with automake features
+
+smake is targeted to be used with the "makefiles" system as well as
+any general purpose make task. "makefiles" is best used with smake for
+convenience and easier debugging because gnu make does not run on all
+platforms smake does and because gnu make does not allow to do Makefile
+debugging. Since smake-1.2a26, smake includes a general set of built in
+default make rules; this allows smake to be used as a general purpose
+make program.
+
+smake installs under /opt/schily/ with other schily applications.
diff --git a/development/smake/slack-desc b/development/smake/slack-desc
new file mode 100644
index 000000000000..963e2b618380
--- /dev/null
+++ b/development/smake/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+smake: smake (highly portable make program with automake features)
+smake:
+smake: smake is targeted to be used with the "makefiles" system as well as
+smake: any general purpose make task. "makefiles" is best used with smake
+smake: for convenience and easier debugging because gnu make does not run
+smake: on all platforms smake does and because gnu make does not allow to
+smake: do Makefile debugging. Since smake-1.2a26, smake includes a general
+smake: set of built in default make rules, this allows smake to be used as
+smake: a general purpose make program.
+smake:
+smake:
diff --git a/development/smake/smake.SlackBuild b/development/smake/smake.SlackBuild
new file mode 100644
index 000000000000..36a0a2345d22
--- /dev/null
+++ b/development/smake/smake.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for smake
+
+# Written by jpipkin <jpipkin@dawnrazor.org>
+
+# Licensed under the WTFPL
+# http://sam.zoy.org/wtfpl/COPYING
+
+PRGNAM=smake
+VERSION=1.2a41
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-1.2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-1.2
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+./Gmake.linux
+./Gmake.linux install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr ; mv $PKG/opt/schily/man $PKG/usr
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUILD CDDL.Schily.txt CONTRIBUTING COPYING GPL-2.0.txt \
+ PORTING README.* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+# Fix many permissions - this is ridiculous
+chown -R root:root .
+find . -type d -exec chmod 0755 {} \;
+find . -type f -exec chmod u+w {} \;
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/smake/smake.info b/development/smake/smake.info
new file mode 100644
index 000000000000..1ef98cd93fbd
--- /dev/null
+++ b/development/smake/smake.info
@@ -0,0 +1,8 @@
+PRGNAM="smake"
+VERSION="1.2a41"
+HOMEPAGE="http://cdrecord.berlios.de/private/smake.html"
+DOWNLOAD="ftp://ftp.berlios.de/pub/smake/alpha/smake-1.2a41.tar.bz2"
+MD5SUM="16ed2a07db8589a223a6aa0f66176078"
+MAINTAINER="jpipkin"
+EMAIL="jpipkin@dawnrazor.org"
+APPROVED="rworkman"